searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"ExMtnMomo.Util.html","title":"ExMtnMomo.Util","type":"module"},{"doc":"","ref":"ExMtnMomo.Util.html#basic_auth/2","title":"ExMtnMomo.Util.basic_auth/2","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#collection_auth/1","title":"ExMtnMomo.Util.collection_auth/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#disbursement_auth/1","title":"ExMtnMomo.Util.disbursement_auth/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_base_url/1","title":"ExMtnMomo.Util.extract_base_url/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_collection_api_key/1","title":"ExMtnMomo.Util.extract_collection_api_key/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_collection_primary_key/1","title":"ExMtnMomo.Util.extract_collection_primary_key/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_collection_secondary_key/1","title":"ExMtnMomo.Util.extract_collection_secondary_key/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_collection_user_id/1","title":"ExMtnMomo.Util.extract_collection_user_id/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_disbursement_api_key/1","title":"ExMtnMomo.Util.extract_disbursement_api_key/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_disbursement_primary_key/1","title":"ExMtnMomo.Util.extract_disbursement_primary_key/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_disbursement_secondary_key/1","title":"ExMtnMomo.Util.extract_disbursement_secondary_key/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_disbursement_user_id/1","title":"ExMtnMomo.Util.extract_disbursement_user_id/1","type":"function"},{"doc":"","ref":"ExMtnMomo.Util.html#extract_x_target_environment/1","title":"ExMtnMomo.Util.extract_x_target_environment/1","type":"function"},{"doc":"ExMtnMomo is an Elixir library for interacting with the MTN Mobile Money API.\n\nThis library provides a simple interface to MTN Mobile Money's Sandbox, Collection,\nand Disbursement APIs, making it easy to integrate MTN Mobile Money into your\nElixir applications.","ref":"ExMtnMomo.html","title":"ExMtnMomo","type":"module"},{"doc":"* Sandbox API for testing and development\n* Collection API for receiving payments\n* Disbursement API for sending payments\n* Comprehensive error handling\n* Configurable environment settings","ref":"ExMtnMomo.html#module-features","title":"Features - ExMtnMomo","type":"module"},{"doc":"This library is organized into three main modules:\n\n* `ExMtnMomo.Sandbox` - Functions for setting up and testing in the sandbox environment\n* `ExMtnMomo.Collection` - Functions for receiving payments from customers\n* `ExMtnMomo.Disbursements` - Functions for sending payments to customers","ref":"ExMtnMomo.html#module-module-overview","title":"Module Overview - ExMtnMomo","type":"module"},{"doc":"First, configure your MTN MoMo API credentials in your `config.exs` file:\n\n```elixir\nconfig :ex_mtn_momo,\n  base_url: \"https://sandbox.momodeveloper.mtn.com\",\n  x_target_environment: \"sandbox\", # mtnzambia | sandbox\n  disbursement: %{\n    secondary_key: \"your_secondary_key\",\n    primary_key: \"your_primary_key\",\n    user_id: \"your_user_id\",\n    api_key: \"your_api_key\"\n  },\n  collection: %{\n    secondary_key: \"your_secondary_key\",\n    primary_key: \"your_primary_key\",\n    user_id: \"your_user_id\",\n    api_key: \"your_api_key\"\n  }\n```\n\nThen, you can start using the library in your application.\n\nSee the documentation for `ExMtnMomo.Sandbox`, `ExMtnMomo.Collection`, and\n`ExMtnMomo.Disbursements` for specific usage examples.","ref":"ExMtnMomo.html#module-getting-started","title":"Getting Started - ExMtnMomo","type":"module"},{"doc":"Provides functions for working with the MTN Mobile Money Collection API.\n\nThe Collection module allows developers to:\n\n* Create access tokens for authentication\n* Request payments from customers\n* Check the status of payment requests\n* Retrieve account balances\n* Get user information\n\nThis module is used for receiving payments from customers through\nthe MTN Mobile Money platform.","ref":"ExMtnMomo.Collection.html","title":"ExMtnMomo.Collection","type":"module"},{"doc":"```elixir\n# Get an access token for collections\n{:ok, %{\"access_token\" => token}} = ExMtnMomo.Collection.create_access_token()\n\n# Initiate a payment request\npayment_details = %{\n  \"amount\" => \"1000\",\n  \"currency\" => \"EUR\",\n  \"externalId\" => \"123456789\",\n  \"payer\" => %{\n    \"partyIdType\" => \"MSISDN\",\n    \"partyId\" => \"256771234567\"\n  },\n  \"payerMessage\" => \"Payment for products\",\n  \"payeeNote\" => \"Payment received\"\n}\n\nreference_id = UUID.uuid4()\n{:ok, _} = ExMtnMomo.Collection.request_to_pay(payment_details, token, reference_id)\n\n# Check payment status\n{:ok, status} = ExMtnMomo.Collection.request_to_pay_transaction_status(reference_id, token)\n```","ref":"ExMtnMomo.Collection.html#module-examples","title":"Examples - ExMtnMomo.Collection","type":"module"},{"doc":"Retrieves basic information about a user.","ref":"ExMtnMomo.Collection.html#basic_user_info/3","title":"ExMtnMomo.Collection.basic_user_info/3","type":"function"},{"doc":"* `msisdn` - The mobile number of the user\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#basic_user_info/3-parameters","title":"Parameters - ExMtnMomo.Collection.basic_user_info/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#basic_user_info/3-options","title":"Options - ExMtnMomo.Collection.basic_user_info/3","type":"function"},{"doc":"* `{:ok, user_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#basic_user_info/3-returns","title":"Returns - ExMtnMomo.Collection.basic_user_info/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> msisdn = \"256771234567\"\n    iex> ExMtnMomo.Collection.basic_user_info(msisdn, token)\n    {:ok, %{\"name\" => \"John Doe\", ...}}","ref":"ExMtnMomo.Collection.html#basic_user_info/3-examples","title":"Examples - ExMtnMomo.Collection.basic_user_info/3","type":"function"},{"doc":"Creates an access token for collection operations.","ref":"ExMtnMomo.Collection.html#create_access_token/1","title":"ExMtnMomo.Collection.create_access_token/1","type":"function"},{"doc":"* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#create_access_token/1-parameters","title":"Parameters - ExMtnMomo.Collection.create_access_token/1","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Collection.html#create_access_token/1-options","title":"Options - ExMtnMomo.Collection.create_access_token/1","type":"function"},{"doc":"* `{:ok, token_details}` on success, where `token_details` includes the access_token\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#create_access_token/1-returns","title":"Returns - ExMtnMomo.Collection.create_access_token/1","type":"function"},{"doc":"iex> ExMtnMomo.Collection.create_access_token()\n    {:ok, %{\"access_token\" => \"eyJ0eXAi...\", \"expires_in\" => 3600, \"token_type\" => \"Bearer\"}}","ref":"ExMtnMomo.Collection.html#create_access_token/1-examples","title":"Examples - ExMtnMomo.Collection.create_access_token/1","type":"function"},{"doc":"Creates an OAuth 2.0 token for collection operations.","ref":"ExMtnMomo.Collection.html#create_oauth_2_token/1","title":"ExMtnMomo.Collection.create_oauth_2_token/1","type":"function"},{"doc":"* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#create_oauth_2_token/1-parameters","title":"Parameters - ExMtnMomo.Collection.create_oauth_2_token/1","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Collection.html#create_oauth_2_token/1-options","title":"Options - ExMtnMomo.Collection.create_oauth_2_token/1","type":"function"},{"doc":"* `{:ok, token_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#create_oauth_2_token/1-returns","title":"Returns - ExMtnMomo.Collection.create_oauth_2_token/1","type":"function"},{"doc":"iex> ExMtnMomo.Collection.create_oauth_2_token()\n    {:ok, %{\"access_token\" => \"eyJ0eXAi...\", \"expires_in\" => 3600, \"token_type\" => \"Bearer\"}}","ref":"ExMtnMomo.Collection.html#create_oauth_2_token/1-examples","title":"Examples - ExMtnMomo.Collection.create_oauth_2_token/1","type":"function"},{"doc":"Retrieves the account balance.","ref":"ExMtnMomo.Collection.html#get_account_balance/2","title":"ExMtnMomo.Collection.get_account_balance/2","type":"function"},{"doc":"* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#get_account_balance/2-parameters","title":"Parameters - ExMtnMomo.Collection.get_account_balance/2","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#get_account_balance/2-options","title":"Options - ExMtnMomo.Collection.get_account_balance/2","type":"function"},{"doc":"* `{:ok, balance_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#get_account_balance/2-returns","title":"Returns - ExMtnMomo.Collection.get_account_balance/2","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> ExMtnMomo.Collection.get_account_balance(token)\n    {:ok, %{\"availableBalance\" => \"15000\", \"currency\" => \"EUR\"}}","ref":"ExMtnMomo.Collection.html#get_account_balance/2-examples","title":"Examples - ExMtnMomo.Collection.get_account_balance/2","type":"function"},{"doc":"Retrieves the account balance for a specific currency.","ref":"ExMtnMomo.Collection.html#get_account_balance_in_specific_currency/3","title":"ExMtnMomo.Collection.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"* `currency` - Currency code (e.g., \"EUR\", \"USD\")\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#get_account_balance_in_specific_currency/3-parameters","title":"Parameters - ExMtnMomo.Collection.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#get_account_balance_in_specific_currency/3-options","title":"Options - ExMtnMomo.Collection.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"* `{:ok, balance_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#get_account_balance_in_specific_currency/3-returns","title":"Returns - ExMtnMomo.Collection.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> ExMtnMomo.Collection.get_account_balance_in_specific_currency(\"EUR\", token)\n    {:ok, %{\"availableBalance\" => \"15000\", \"currency\" => \"EUR\"}}","ref":"ExMtnMomo.Collection.html#get_account_balance_in_specific_currency/3-examples","title":"Examples - ExMtnMomo.Collection.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"Retrieves the status of an invoice.","ref":"ExMtnMomo.Collection.html#get_invoice_status/3","title":"ExMtnMomo.Collection.get_invoice_status/3","type":"function"},{"doc":"* `x_reference_id` - The reference ID of the invoice\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#get_invoice_status/3-parameters","title":"Parameters - ExMtnMomo.Collection.get_invoice_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#get_invoice_status/3-options","title":"Options - ExMtnMomo.Collection.get_invoice_status/3","type":"function"},{"doc":"* `{:ok, invoice_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#get_invoice_status/3-returns","title":"Returns - ExMtnMomo.Collection.get_invoice_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Collection.get_invoice_status(reference_id, token)\n    {:ok, %{\"status\" => \"PAID\", ...}}","ref":"ExMtnMomo.Collection.html#get_invoice_status/3-examples","title":"Examples - ExMtnMomo.Collection.get_invoice_status/3","type":"function"},{"doc":"Retrieves the status of a payment.","ref":"ExMtnMomo.Collection.html#get_payment_status/3","title":"ExMtnMomo.Collection.get_payment_status/3","type":"function"},{"doc":"* `x_reference_id` - The reference ID of the payment\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#get_payment_status/3-parameters","title":"Parameters - ExMtnMomo.Collection.get_payment_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#get_payment_status/3-options","title":"Options - ExMtnMomo.Collection.get_payment_status/3","type":"function"},{"doc":"* `{:ok, payment_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#get_payment_status/3-returns","title":"Returns - ExMtnMomo.Collection.get_payment_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Collection.get_payment_status(reference_id, token)\n    {:ok, %{\"status\" => \"SUCCESSFUL\", ...}}","ref":"ExMtnMomo.Collection.html#get_payment_status/3-examples","title":"Examples - ExMtnMomo.Collection.get_payment_status/3","type":"function"},{"doc":"Retrieves the status of a pre-approval.","ref":"ExMtnMomo.Collection.html#get_pre_approval_status/3","title":"ExMtnMomo.Collection.get_pre_approval_status/3","type":"function"},{"doc":"* `reference_id` - The reference ID of the pre-approval\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#get_pre_approval_status/3-parameters","title":"Parameters - ExMtnMomo.Collection.get_pre_approval_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#get_pre_approval_status/3-options","title":"Options - ExMtnMomo.Collection.get_pre_approval_status/3","type":"function"},{"doc":"* `{:ok, status_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#get_pre_approval_status/3-returns","title":"Returns - ExMtnMomo.Collection.get_pre_approval_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Collection.get_pre_approval_status(reference_id, token)\n    {:ok, %{\"status\" => \"APPROVED\", ...}}","ref":"ExMtnMomo.Collection.html#get_pre_approval_status/3-examples","title":"Examples - ExMtnMomo.Collection.get_pre_approval_status/3","type":"function"},{"doc":"Retrieves user information with consent.","ref":"ExMtnMomo.Collection.html#get_user_info_with_consent/2","title":"ExMtnMomo.Collection.get_user_info_with_consent/2","type":"function"},{"doc":"* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#get_user_info_with_consent/2-parameters","title":"Parameters - ExMtnMomo.Collection.get_user_info_with_consent/2","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#get_user_info_with_consent/2-options","title":"Options - ExMtnMomo.Collection.get_user_info_with_consent/2","type":"function"},{"doc":"* `{:ok, user_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#get_user_info_with_consent/2-returns","title":"Returns - ExMtnMomo.Collection.get_user_info_with_consent/2","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> ExMtnMomo.Collection.get_user_info_with_consent(token)\n    {:ok, %{\"name\" => \"John Doe\", \"email\" => \"john.doe@example.com\", ...}}","ref":"ExMtnMomo.Collection.html#get_user_info_with_consent/2-examples","title":"Examples - ExMtnMomo.Collection.get_user_info_with_consent/2","type":"function"},{"doc":"Initiates a payment request to a customer.","ref":"ExMtnMomo.Collection.html#request_to_pay/4","title":"ExMtnMomo.Collection.request_to_pay/4","type":"function"},{"doc":"* `attrs` - A map containing payment details\n* `access_token` - A valid access token\n* `uuid4` - A UUID v4 string as the reference ID (optional)\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#request_to_pay/4-parameters","title":"Parameters - ExMtnMomo.Collection.request_to_pay/4","type":"function"},{"doc":"The `attrs` map should include the following keys:\n\n* `\"amount\"` - The payment amount\n* `\"currency\"` - The currency code (e.g., \"EUR\", \"USD\")\n* `\"externalId\"` - Your system's transaction ID\n* `\"payer\"` - A map containing payer information:\n  * `\"partyIdType\"` - The type of identifier (usually \"MSISDN\")\n  * `\"partyId\"` - The mobile number of the payer\n* `\"payerMessage\"` - Message shown to the payer\n* `\"payeeNote\"` - Note for the payee's records","ref":"ExMtnMomo.Collection.html#request_to_pay/4-payment-details","title":"Payment Details - ExMtnMomo.Collection.request_to_pay/4","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#request_to_pay/4-options","title":"Options - ExMtnMomo.Collection.request_to_pay/4","type":"function"},{"doc":"* `{:ok, response}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#request_to_pay/4-returns","title":"Returns - ExMtnMomo.Collection.request_to_pay/4","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> payment_details = %{\n    ...>   \"amount\" => \"1000\",\n    ...>   \"currency\" => \"EUR\",\n    ...>   \"externalId\" => \"123456789\",\n    ...>   \"payer\" => %{\n    ...>     \"partyIdType\" => \"MSISDN\",\n    ...>     \"partyId\" => \"256771234567\"\n    ...>   },\n    ...>   \"payerMessage\" => \"Payment for products\",\n    ...>   \"payeeNote\" => \"Payment received\"\n    ...> }\n    iex> reference_id = UUID.uuid4()\n    iex> ExMtnMomo.Collection.request_to_pay(payment_details, token, reference_id)\n    {:ok, %{}}","ref":"ExMtnMomo.Collection.html#request_to_pay/4-examples","title":"Examples - ExMtnMomo.Collection.request_to_pay/4","type":"function"},{"doc":"Checks the status of a payment request.","ref":"ExMtnMomo.Collection.html#request_to_pay_transaction_status/3","title":"ExMtnMomo.Collection.request_to_pay_transaction_status/3","type":"function"},{"doc":"* `reference_id` - The reference ID of the payment request\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#request_to_pay_transaction_status/3-parameters","title":"Parameters - ExMtnMomo.Collection.request_to_pay_transaction_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#request_to_pay_transaction_status/3-options","title":"Options - ExMtnMomo.Collection.request_to_pay_transaction_status/3","type":"function"},{"doc":"* `{:ok, status_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#request_to_pay_transaction_status/3-returns","title":"Returns - ExMtnMomo.Collection.request_to_pay_transaction_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Collection.request_to_pay_transaction_status(reference_id, token)\n    {:ok, %{\n      \"amount\" => \"1000\",\n      \"currency\" => \"EUR\",\n      \"financialTransactionId\" => \"23503452\",\n      \"externalId\" => \"123456789\",\n      \"payer\" => %{\n        \"partyIdType\" => \"MSISDN\",\n        \"partyId\" => \"256771234567\"\n      },\n      \"status\" => \"SUCCESSFUL\"\n    }}","ref":"ExMtnMomo.Collection.html#request_to_pay_transaction_status/3-examples","title":"Examples - ExMtnMomo.Collection.request_to_pay_transaction_status/3","type":"function"},{"doc":"Checks the status of a withdrawal request.","ref":"ExMtnMomo.Collection.html#request_to_withdraw_transaction_status/3","title":"ExMtnMomo.Collection.request_to_withdraw_transaction_status/3","type":"function"},{"doc":"* `reference_id` - The reference ID of the withdrawal request\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Collection.html#request_to_withdraw_transaction_status/3-parameters","title":"Parameters - ExMtnMomo.Collection.request_to_withdraw_transaction_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Collection.html#request_to_withdraw_transaction_status/3-options","title":"Options - ExMtnMomo.Collection.request_to_withdraw_transaction_status/3","type":"function"},{"doc":"* `{:ok, status_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Collection.html#request_to_withdraw_transaction_status/3-returns","title":"Returns - ExMtnMomo.Collection.request_to_withdraw_transaction_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Collection.request_to_withdraw_transaction_status(reference_id, token)\n    {:ok, %{\"status\" => \"SUCCESSFUL\", ...}}","ref":"ExMtnMomo.Collection.html#request_to_withdraw_transaction_status/3-examples","title":"Examples - ExMtnMomo.Collection.request_to_withdraw_transaction_status/3","type":"function"},{"doc":"Provides functions for working with the MTN Mobile Money Disbursements API.\n\nThe Disbursements module allows developers to:\n\n* Create access tokens for authentication\n* Send money to users (deposits)\n* Process refunds\n* Transfer money between accounts\n* Retrieve account balances\n* Check the status of transactions\n\nThis module is used for sending payments to customers through\nthe MTN Mobile Money platform.","ref":"ExMtnMomo.Disbursements.html","title":"ExMtnMomo.Disbursements","type":"module"},{"doc":"```elixir\n# Get an access token for disbursements\n{:ok, %{\"access_token\" => token}} = ExMtnMomo.Disbursements.create_access_token()\n\n# Initiate a deposit\ndeposit_details = %{\n  \"amount\" => \"1000\",\n  \"currency\" => \"EUR\",\n  \"externalId\" => \"123456789\",\n  \"payee\" => %{\n    \"partyIdType\" => \"MSISDN\",\n    \"partyId\" => \"256771234567\"\n  },\n  \"payerMessage\" => \"Salary payment\",\n  \"payeeNote\" => \"Salary received\"\n}\n\nreference_id = UUID.uuid4()\n{:ok, _} = ExMtnMomo.Disbursements.deposit_v2(deposit_details, reference_id)\n\n# Check deposit status\n{:ok, status} = ExMtnMomo.Disbursements.get_deposit_status(reference_id, token)\n```","ref":"ExMtnMomo.Disbursements.html#module-examples","title":"Examples - ExMtnMomo.Disbursements","type":"module"},{"doc":"Authorizes a BC request.","ref":"ExMtnMomo.Disbursements.html#bc_authorize/1","title":"ExMtnMomo.Disbursements.bc_authorize/1","type":"function"},{"doc":"* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#bc_authorize/1-parameters","title":"Parameters - ExMtnMomo.Disbursements.bc_authorize/1","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#bc_authorize/1-options","title":"Options - ExMtnMomo.Disbursements.bc_authorize/1","type":"function"},{"doc":"* `{:ok, authorization_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#bc_authorize/1-returns","title":"Returns - ExMtnMomo.Disbursements.bc_authorize/1","type":"function"},{"doc":"iex> ExMtnMomo.Disbursements.bc_authorize()\n    {:ok, %{...}}","ref":"ExMtnMomo.Disbursements.html#bc_authorize/1-examples","title":"Examples - ExMtnMomo.Disbursements.bc_authorize/1","type":"function"},{"doc":"Creates an access token for disbursement operations.","ref":"ExMtnMomo.Disbursements.html#create_access_token/1","title":"ExMtnMomo.Disbursements.create_access_token/1","type":"function"},{"doc":"* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#create_access_token/1-parameters","title":"Parameters - ExMtnMomo.Disbursements.create_access_token/1","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Disbursements.html#create_access_token/1-options","title":"Options - ExMtnMomo.Disbursements.create_access_token/1","type":"function"},{"doc":"* `{:ok, token_details}` on success, where `token_details` includes the access_token\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#create_access_token/1-returns","title":"Returns - ExMtnMomo.Disbursements.create_access_token/1","type":"function"},{"doc":"iex> ExMtnMomo.Disbursements.create_access_token()\n    {:ok, %{\"access_token\" => \"eyJ0eXAi...\", \"expires_in\" => 3600, \"token_type\" => \"Bearer\"}}","ref":"ExMtnMomo.Disbursements.html#create_access_token/1-examples","title":"Examples - ExMtnMomo.Disbursements.create_access_token/1","type":"function"},{"doc":"Creates an OAuth 2.0 token for disbursement operations.","ref":"ExMtnMomo.Disbursements.html#create_oauth_2_token/1","title":"ExMtnMomo.Disbursements.create_oauth_2_token/1","type":"function"},{"doc":"* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#create_oauth_2_token/1-parameters","title":"Parameters - ExMtnMomo.Disbursements.create_oauth_2_token/1","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#create_oauth_2_token/1-options","title":"Options - ExMtnMomo.Disbursements.create_oauth_2_token/1","type":"function"},{"doc":"* `{:ok, token_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#create_oauth_2_token/1-returns","title":"Returns - ExMtnMomo.Disbursements.create_oauth_2_token/1","type":"function"},{"doc":"iex> ExMtnMomo.Disbursements.create_oauth_2_token()\n    {:ok, %{\"access_token\" => \"eyJ0eXAi...\", \"expires_in\" => 3600, \"token_type\" => \"Bearer\"}}","ref":"ExMtnMomo.Disbursements.html#create_oauth_2_token/1-examples","title":"Examples - ExMtnMomo.Disbursements.create_oauth_2_token/1","type":"function"},{"doc":"Initiates a deposit using API version 1.0.","ref":"ExMtnMomo.Disbursements.html#deposit_v1/3","title":"ExMtnMomo.Disbursements.deposit_v1/3","type":"function"},{"doc":"* `attrs` - A map containing deposit details\n* `uuid4` - A UUID v4 string as the reference ID\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#deposit_v1/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.deposit_v1/3","type":"function"},{"doc":"The `attrs` map should include the following keys:\n\n* `\"amount\"` - The deposit amount\n* `\"currency\"` - The currency code (e.g., \"EUR\", \"USD\")\n* `\"externalId\"` - Your system's transaction ID\n* `\"payee\"` - A map containing payee information:\n  * `\"partyIdType\"` - The type of identifier (usually \"MSISDN\")\n  * `\"partyId\"` - The mobile number of the payee\n* `\"payerMessage\"` - Message shown to the payer\n* `\"payeeNote\"` - Note for the payee's records","ref":"ExMtnMomo.Disbursements.html#deposit_v1/3-deposit-details","title":"Deposit Details - ExMtnMomo.Disbursements.deposit_v1/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Disbursements.html#deposit_v1/3-options","title":"Options - ExMtnMomo.Disbursements.deposit_v1/3","type":"function"},{"doc":"* `{:ok, response}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#deposit_v1/3-returns","title":"Returns - ExMtnMomo.Disbursements.deposit_v1/3","type":"function"},{"doc":"iex> deposit_details = %{\n    ...>   \"amount\" => \"1000\",\n    ...>   \"currency\" => \"EUR\",\n    ...>   \"externalId\" => \"123456789\",\n    ...>   \"payee\" => %{\n    ...>     \"partyIdType\" => \"MSISDN\",\n    ...>     \"partyId\" => \"256771234567\"\n    ...>   },\n    ...>   \"payerMessage\" => \"Salary payment\",\n    ...>   \"payeeNote\" => \"Salary received\"\n    ...> }\n    iex> reference_id = UUID.uuid4()\n    iex> ExMtnMomo.Disbursements.deposit_v1(deposit_details, reference_id)\n    {:ok, %{}}","ref":"ExMtnMomo.Disbursements.html#deposit_v1/3-examples","title":"Examples - ExMtnMomo.Disbursements.deposit_v1/3","type":"function"},{"doc":"Initiates a deposit using API version 2.0.","ref":"ExMtnMomo.Disbursements.html#deposit_v2/3","title":"ExMtnMomo.Disbursements.deposit_v2/3","type":"function"},{"doc":"* `attrs` - A map containing deposit details\n* `uuid4` - A UUID v4 string as the reference ID\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#deposit_v2/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.deposit_v2/3","type":"function"},{"doc":"The `attrs` map should include the following keys:\n\n* `\"amount\"` - The deposit amount\n* `\"currency\"` - The currency code (e.g., \"EUR\", \"USD\")\n* `\"externalId\"` - Your system's transaction ID\n* `\"payee\"` - A map containing payee information:\n  * `\"partyIdType\"` - The type of identifier (usually \"MSISDN\")\n  * `\"partyId\"` - The mobile number of the payee\n* `\"payerMessage\"` - Message shown to the payer\n* `\"payeeNote\"` - Note for the payee's records","ref":"ExMtnMomo.Disbursements.html#deposit_v2/3-deposit-details","title":"Deposit Details - ExMtnMomo.Disbursements.deposit_v2/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Disbursements.html#deposit_v2/3-options","title":"Options - ExMtnMomo.Disbursements.deposit_v2/3","type":"function"},{"doc":"* `{:ok, response}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#deposit_v2/3-returns","title":"Returns - ExMtnMomo.Disbursements.deposit_v2/3","type":"function"},{"doc":"iex> deposit_details = %{\n    ...>   \"amount\" => \"1000\",\n    ...>   \"currency\" => \"EUR\",\n    ...>   \"externalId\" => \"123456789\",\n    ...>   \"payee\" => %{\n    ...>     \"partyIdType\" => \"MSISDN\",\n    ...>     \"partyId\" => \"256771234567\"\n    ...>   },\n    ...>   \"payerMessage\" => \"Salary payment\",\n    ...>   \"payeeNote\" => \"Salary received\"\n    ...> }\n    iex> reference_id = UUID.uuid4()\n    iex> ExMtnMomo.Disbursements.deposit_v2(deposit_details, reference_id)\n    {:ok, %{}}","ref":"ExMtnMomo.Disbursements.html#deposit_v2/3-examples","title":"Examples - ExMtnMomo.Disbursements.deposit_v2/3","type":"function"},{"doc":"Retrieves the account balance for disbursements.","ref":"ExMtnMomo.Disbursements.html#get_account_balance/2","title":"ExMtnMomo.Disbursements.get_account_balance/2","type":"function"},{"doc":"* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#get_account_balance/2-parameters","title":"Parameters - ExMtnMomo.Disbursements.get_account_balance/2","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#get_account_balance/2-options","title":"Options - ExMtnMomo.Disbursements.get_account_balance/2","type":"function"},{"doc":"* `{:ok, balance_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#get_account_balance/2-returns","title":"Returns - ExMtnMomo.Disbursements.get_account_balance/2","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> ExMtnMomo.Disbursements.get_account_balance(token)\n    {:ok, %{\"availableBalance\" => \"15000\", \"currency\" => \"EUR\"}}","ref":"ExMtnMomo.Disbursements.html#get_account_balance/2-examples","title":"Examples - ExMtnMomo.Disbursements.get_account_balance/2","type":"function"},{"doc":"Retrieves the account balance for a specific currency for disbursements.","ref":"ExMtnMomo.Disbursements.html#get_account_balance_in_specific_currency/3","title":"ExMtnMomo.Disbursements.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"* `currency` - Currency code (e.g., \"EUR\", \"USD\")\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#get_account_balance_in_specific_currency/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#get_account_balance_in_specific_currency/3-options","title":"Options - ExMtnMomo.Disbursements.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"* `{:ok, balance_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#get_account_balance_in_specific_currency/3-returns","title":"Returns - ExMtnMomo.Disbursements.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> ExMtnMomo.Disbursements.get_account_balance_in_specific_currency(\"EUR\", token)\n    {:ok, %{\"availableBalance\" => \"15000\", \"currency\" => \"EUR\"}}","ref":"ExMtnMomo.Disbursements.html#get_account_balance_in_specific_currency/3-examples","title":"Examples - ExMtnMomo.Disbursements.get_account_balance_in_specific_currency/3","type":"function"},{"doc":"Retrieves the status of a deposit.","ref":"ExMtnMomo.Disbursements.html#get_deposit_status/3","title":"ExMtnMomo.Disbursements.get_deposit_status/3","type":"function"},{"doc":"* `reference_id` - The reference ID of the deposit\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#get_deposit_status/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.get_deposit_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#get_deposit_status/3-options","title":"Options - ExMtnMomo.Disbursements.get_deposit_status/3","type":"function"},{"doc":"* `{:ok, status_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#get_deposit_status/3-returns","title":"Returns - ExMtnMomo.Disbursements.get_deposit_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Disbursements.get_deposit_status(reference_id, token)\n    {:ok, %{\"status\" => \"SUCCESSFUL\", ...}}","ref":"ExMtnMomo.Disbursements.html#get_deposit_status/3-examples","title":"Examples - ExMtnMomo.Disbursements.get_deposit_status/3","type":"function"},{"doc":"Retrieves the status of a refund.","ref":"ExMtnMomo.Disbursements.html#get_refund_status/3","title":"ExMtnMomo.Disbursements.get_refund_status/3","type":"function"},{"doc":"* `reference_id` - The reference ID of the refund\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#get_refund_status/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.get_refund_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#get_refund_status/3-options","title":"Options - ExMtnMomo.Disbursements.get_refund_status/3","type":"function"},{"doc":"* `{:ok, status_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#get_refund_status/3-returns","title":"Returns - ExMtnMomo.Disbursements.get_refund_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Disbursements.get_refund_status(reference_id, token)\n    {:ok, %{\"status\" => \"SUCCESSFUL\", ...}}","ref":"ExMtnMomo.Disbursements.html#get_refund_status/3-examples","title":"Examples - ExMtnMomo.Disbursements.get_refund_status/3","type":"function"},{"doc":"Retrieves the status of a transfer.","ref":"ExMtnMomo.Disbursements.html#get_transfer_status/3","title":"ExMtnMomo.Disbursements.get_transfer_status/3","type":"function"},{"doc":"* `reference_id` - The reference ID of the transfer\n* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#get_transfer_status/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.get_transfer_status/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#get_transfer_status/3-options","title":"Options - ExMtnMomo.Disbursements.get_transfer_status/3","type":"function"},{"doc":"* `{:ok, status_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#get_transfer_status/3-returns","title":"Returns - ExMtnMomo.Disbursements.get_transfer_status/3","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> reference_id = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Disbursements.get_transfer_status(reference_id, token)\n    {:ok, %{\"status\" => \"SUCCESSFUL\", ...}}","ref":"ExMtnMomo.Disbursements.html#get_transfer_status/3-examples","title":"Examples - ExMtnMomo.Disbursements.get_transfer_status/3","type":"function"},{"doc":"Retrieves user information with consent for disbursements.","ref":"ExMtnMomo.Disbursements.html#get_user_info_with_consent/2","title":"ExMtnMomo.Disbursements.get_user_info_with_consent/2","type":"function"},{"doc":"* `access_token` - A valid access token\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#get_user_info_with_consent/2-parameters","title":"Parameters - ExMtnMomo.Disbursements.get_user_info_with_consent/2","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication\n* `:x_target_environment` - Override the target environment","ref":"ExMtnMomo.Disbursements.html#get_user_info_with_consent/2-options","title":"Options - ExMtnMomo.Disbursements.get_user_info_with_consent/2","type":"function"},{"doc":"* `{:ok, user_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#get_user_info_with_consent/2-returns","title":"Returns - ExMtnMomo.Disbursements.get_user_info_with_consent/2","type":"function"},{"doc":"iex> token = \"eyJ0eXAi...\"\n    iex> ExMtnMomo.Disbursements.get_user_info_with_consent(token)\n    {:ok, %{\"name\" => \"John Doe\", \"email\" => \"john.doe@example.com\", ...}}","ref":"ExMtnMomo.Disbursements.html#get_user_info_with_consent/2-examples","title":"Examples - ExMtnMomo.Disbursements.get_user_info_with_consent/2","type":"function"},{"doc":"Initiates a refund using API version 1.0.","ref":"ExMtnMomo.Disbursements.html#refund_v1/3","title":"ExMtnMomo.Disbursements.refund_v1/3","type":"function"},{"doc":"* `attrs` - A map containing refund details\n* `uuid4` - A UUID v4 string as the reference ID\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#refund_v1/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.refund_v1/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Disbursements.html#refund_v1/3-options","title":"Options - ExMtnMomo.Disbursements.refund_v1/3","type":"function"},{"doc":"* `{:ok, response}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#refund_v1/3-returns","title":"Returns - ExMtnMomo.Disbursements.refund_v1/3","type":"function"},{"doc":"iex> refund_details = %{\n    ...>   \"amount\" => \"1000\",\n    ...>   \"currency\" => \"EUR\",\n    ...>   \"externalId\" => \"123456789\",\n    ...>   \"payerMessage\" => \"Refund for order cancellation\",\n    ...>   \"payeeNote\" => \"Refund processed\"\n    ...> }\n    iex> reference_id = UUID.uuid4()\n    iex> ExMtnMomo.Disbursements.refund_v1(refund_details, reference_id)\n    {:ok, %{}}","ref":"ExMtnMomo.Disbursements.html#refund_v1/3-examples","title":"Examples - ExMtnMomo.Disbursements.refund_v1/3","type":"function"},{"doc":"Initiates a refund using API version 2.0.","ref":"ExMtnMomo.Disbursements.html#refund_v2/3","title":"ExMtnMomo.Disbursements.refund_v2/3","type":"function"},{"doc":"* `attrs` - A map containing refund details\n* `uuid4` - A UUID v4 string as the reference ID\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#refund_v2/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.refund_v2/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Disbursements.html#refund_v2/3-options","title":"Options - ExMtnMomo.Disbursements.refund_v2/3","type":"function"},{"doc":"* `{:ok, response}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#refund_v2/3-returns","title":"Returns - ExMtnMomo.Disbursements.refund_v2/3","type":"function"},{"doc":"iex> refund_details = %{\n    ...>   \"amount\" => \"1000\",\n    ...>   \"currency\" => \"EUR\",\n    ...>   \"externalId\" => \"123456789\",\n    ...>   \"payerMessage\" => \"Refund for order cancellation\",\n    ...>   \"payeeNote\" => \"Refund processed\"\n    ...> }\n    iex> reference_id = UUID.uuid4()\n    iex> ExMtnMomo.Disbursements.refund_v2(refund_details, reference_id)\n    {:ok, %{}}","ref":"ExMtnMomo.Disbursements.html#refund_v2/3-examples","title":"Examples - ExMtnMomo.Disbursements.refund_v2/3","type":"function"},{"doc":"Initiates a transfer.","ref":"ExMtnMomo.Disbursements.html#transfer/3","title":"ExMtnMomo.Disbursements.transfer/3","type":"function"},{"doc":"* `attrs` - A map containing transfer details\n* `uuid4` - A UUID v4 string as the reference ID\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Disbursements.html#transfer/3-parameters","title":"Parameters - ExMtnMomo.Disbursements.transfer/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Disbursements.html#transfer/3-options","title":"Options - ExMtnMomo.Disbursements.transfer/3","type":"function"},{"doc":"* `{:ok, response}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Disbursements.html#transfer/3-returns","title":"Returns - ExMtnMomo.Disbursements.transfer/3","type":"function"},{"doc":"iex> transfer_details = %{\n    ...>   \"amount\" => \"1000\",\n    ...>   \"currency\" => \"EUR\",\n    ...>   \"externalId\" => \"123456789\",\n    ...>   \"payee\" => %{\n    ...>     \"partyIdType\" => \"MSISDN\",\n    ...>     \"partyId\" => \"256771234567\"\n    ...>   },\n    ...>   \"payerMessage\" => \"Transfer payment\",\n    ...>   \"payeeNote\" => \"Transfer received\"\n    ...> }\n    iex> reference_id = UUID.uuid4()\n    iex> ExMtnMomo.Disbursements.transfer(transfer_details, reference_id)\n    {:ok, %{}}","ref":"ExMtnMomo.Disbursements.html#transfer/3-examples","title":"Examples - ExMtnMomo.Disbursements.transfer/3","type":"function"},{"doc":"Provides functions for working with the MTN Mobile Money Sandbox environment.\n\nThe Sandbox module allows developers to:\n\n* Generate UUIDs for reference IDs\n* Create API users in the sandbox environment\n* Retrieve information about created users\n* Generate API keys for users\n\nThis module is primarily used during development and testing to set up the\nnecessary credentials for interacting with other MTN MoMo API endpoints.","ref":"ExMtnMomo.Sandbox.html","title":"ExMtnMomo.Sandbox","type":"module"},{"doc":"```elixir\n# Generate a UUID for user creation\nuuid = ExMtnMomo.Sandbox.get_uuid4()\n\n# Create a user in the sandbox environment\n{:ok, _} = ExMtnMomo.Sandbox.create_api_user(uuid)\n\n# Get information about the created user\n{:ok, user_info} = ExMtnMomo.Sandbox.get_created_user(uuid)\n\n# Generate an API key for the user\n{:ok, %{\"apiKey\" => api_key}} = ExMtnMomo.Sandbox.get_api_key(uuid)\n```","ref":"ExMtnMomo.Sandbox.html#module-examples","title":"Examples - ExMtnMomo.Sandbox","type":"module"},{"doc":"Creates an API user in the sandbox environment.","ref":"ExMtnMomo.Sandbox.html#create_api_user/3","title":"ExMtnMomo.Sandbox.create_api_user/3","type":"function"},{"doc":"* `uuid4` - A UUID v4 string to use as the reference ID for the user\n* `callback_url` - URL to receive API callbacks (optional)\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Sandbox.html#create_api_user/3-parameters","title":"Parameters - ExMtnMomo.Sandbox.create_api_user/3","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Sandbox.html#create_api_user/3-options","title":"Options - ExMtnMomo.Sandbox.create_api_user/3","type":"function"},{"doc":"* `{:ok, \"User Created\"}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Sandbox.html#create_api_user/3-returns","title":"Returns - ExMtnMomo.Sandbox.create_api_user/3","type":"function"},{"doc":"iex> uuid = ExMtnMomo.Sandbox.get_uuid4()\n    iex> ExMtnMomo.Sandbox.create_api_user(uuid)\n    {:ok, \"User Created\"}","ref":"ExMtnMomo.Sandbox.html#create_api_user/3-examples","title":"Examples - ExMtnMomo.Sandbox.create_api_user/3","type":"function"},{"doc":"Generates and retrieves an API key for a user.","ref":"ExMtnMomo.Sandbox.html#get_api_key/2","title":"ExMtnMomo.Sandbox.get_api_key/2","type":"function"},{"doc":"* `uuid4` - The UUID of the user\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Sandbox.html#get_api_key/2-parameters","title":"Parameters - ExMtnMomo.Sandbox.get_api_key/2","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Sandbox.html#get_api_key/2-options","title":"Options - ExMtnMomo.Sandbox.get_api_key/2","type":"function"},{"doc":"* `{:ok, %{\"apiKey\" => api_key}}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Sandbox.html#get_api_key/2-returns","title":"Returns - ExMtnMomo.Sandbox.get_api_key/2","type":"function"},{"doc":"iex> uuid = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Sandbox.get_api_key(uuid)\n    {:ok, %{\"apiKey\" => \"a94d865a12e047319c6e673a15b48776\"}}","ref":"ExMtnMomo.Sandbox.html#get_api_key/2-examples","title":"Examples - ExMtnMomo.Sandbox.get_api_key/2","type":"function"},{"doc":"Retrieves information about a previously created API user.","ref":"ExMtnMomo.Sandbox.html#get_created_user/2","title":"ExMtnMomo.Sandbox.get_created_user/2","type":"function"},{"doc":"* `uuid4` - The UUID of the created user\n* `options` - Additional configuration options (optional)","ref":"ExMtnMomo.Sandbox.html#get_created_user/2-parameters","title":"Parameters - ExMtnMomo.Sandbox.get_created_user/2","type":"function"},{"doc":"The `options` parameter can include the following keys:\n\n* `:base_url` - Override the base URL for the API request\n* `:secondary_key` - Override the secondary key to use for authentication","ref":"ExMtnMomo.Sandbox.html#get_created_user/2-options","title":"Options - ExMtnMomo.Sandbox.get_created_user/2","type":"function"},{"doc":"* `{:ok, user_details}` on success\n* `{:error, reason}` on failure","ref":"ExMtnMomo.Sandbox.html#get_created_user/2-returns","title":"Returns - ExMtnMomo.Sandbox.get_created_user/2","type":"function"},{"doc":"iex> uuid = \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"\n    iex> ExMtnMomo.Sandbox.get_created_user(uuid)\n    {:ok, %{\"providerCallbackHost\" => \"https://webhook.site/2b823c34-90d7-4bf7-bd69-0f0559efcf3a\", ...}}","ref":"ExMtnMomo.Sandbox.html#get_created_user/2-examples","title":"Examples - ExMtnMomo.Sandbox.get_created_user/2","type":"function"},{"doc":"Generates a UUID v4 string.\n\nThis UUID can be used as a reference ID for API user creation and other operations.","ref":"ExMtnMomo.Sandbox.html#get_uuid4/0","title":"ExMtnMomo.Sandbox.get_uuid4/0","type":"function"},{"doc":"iex> ExMtnMomo.Sandbox.get_uuid4()\n    \"f1bfc995-8dbe-4afb-aa82-a8c75a37edf6\"","ref":"ExMtnMomo.Sandbox.html#get_uuid4/0-examples","title":"Examples - ExMtnMomo.Sandbox.get_uuid4/0","type":"function"},{"doc":"# ExMtnMomo\n\n[![Hex.pm](https://img.shields.io/hexpm/v/ex_mtn_momo.svg)](https://hex.pm/packages/ex_mtn_momo)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-blue.svg)](https://hexdocs.pm/ex_mtn_momo)\n[![License](https://img.shields.io/hexpm/l/ex_mtn_momo.svg)](https://github.com/your-username/ex_mtn_momo/blob/master/LICENSE)\n\nExMtnMomo is an Elixir library that provides a simple and elegant way to interact with the MTN Mobile Money API. It supports Sandbox testing, Collection, and Disbursement operations.","ref":"readme.html","title":"ExMtnMomo","type":"extras"},{"doc":"- Sandbox API for testing and development\n- Collection API for receiving payments\n- Disbursement API for sending payments\n- Comprehensive error handling\n- Configurable environment settings","ref":"readme.html#features","title":"Features - ExMtnMomo","type":"extras"},{"doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `ex_mtn_momo` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_mtn_momo, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - ExMtnMomo","type":"extras"},{"doc":"Configure your MTN MoMo API credentials in your `config.exs` file:\n\n```elixir\nconfig :ex_mtn_momo,\n  base_url: \"https://sandbox.momodeveloper.mtn.com\", # Production URL for live environment\n  x_target_environment: \"sandbox\", # mtnzambia for production\n  \n  # Disbursement credentials\n  disbursement: %{\n    secondary_key: \"your_secondary_key\",\n    primary_key: \"your_primary_key\",\n    user_id: \"your_user_id\",\n    api_key: \"your_api_key\"\n  },\n  \n  # Collection credentials\n  collection: %{\n    secondary_key: \"your_secondary_key\",\n    primary_key: \"your_primary_key\",\n    user_id: \"your_user_id\",\n    api_key: \"your_api_key\"\n  }\n```","ref":"readme.html#configuration","title":"Configuration - ExMtnMomo","type":"extras"},{"doc":"","ref":"readme.html#quick-start","title":"Quick Start - ExMtnMomo","type":"extras"},{"doc":"```elixir\n# Generate a UUID for user creation\nuuid = ExMtnMomo.Sandbox.get_uuid4()\n\n# Create a user in the sandbox environment\n{:ok, _} = ExMtnMomo.Sandbox.create_api_user(uuid)\n\n# Get information about the created user\n{:ok, user_info} = ExMtnMomo.Sandbox.get_created_user(uuid)\n\n# Generate an API key for the user\n{:ok, %{\"apiKey\" => api_key}} = ExMtnMomo.Sandbox.get_api_key(uuid)\n```","ref":"readme.html#sandbox-setup","title":"Sandbox Setup - ExMtnMomo","type":"extras"},{"doc":"```elixir\n# Get an access token for collections\n{:ok, %{\"access_token\" => token}} = ExMtnMomo.Collection.create_access_token()\n\n# Initiate a payment request\npayment_details = %{\n  \"amount\" => \"1000\",\n  \"currency\" => \"EUR\",\n  \"externalId\" => \"123456789\",\n  \"payer\" => %{\n    \"partyIdType\" => \"MSISDN\",\n    \"partyId\" => \"256771234567\"\n  },\n  \"payerMessage\" => \"Payment for products\",\n  \"payeeNote\" => \"Payment received\"\n}\n\nreference_id = UUID.uuid4()\n{:ok, _} = ExMtnMomo.Collection.request_to_pay(payment_details, token, reference_id)\n\n# Check payment status\n{:ok, status} = ExMtnMomo.Collection.request_to_pay_transaction_status(reference_id, token)\n```","ref":"readme.html#collection-example","title":"Collection Example - ExMtnMomo","type":"extras"},{"doc":"```elixir\n# Get an access token for disbursements\n{:ok, %{\"access_token\" => token}} = ExMtnMomo.Disbursements.create_access_token()\n\n# Initiate a deposit\ndeposit_details = %{\n  \"amount\" => \"1000\",\n  \"currency\" => \"EUR\",\n  \"externalId\" => \"123456789\",\n  \"payee\" => %{\n    \"partyIdType\" => \"MSISDN\",\n    \"partyId\" => \"256771234567\"\n  },\n  \"payerMessage\" => \"Salary payment\",\n  \"payeeNote\" => \"Salary received\"\n}\n\nreference_id = UUID.uuid4()\n{:ok, _} = ExMtnMomo.Disbursements.deposit_v2(deposit_details, reference_id)\n```","ref":"readme.html#disbursement-example","title":"Disbursement Example - ExMtnMomo","type":"extras"},{"doc":"Full documentation can be found at [https://hexdocs.pm/ex_mtn_momo](https://hexdocs.pm/ex_mtn_momo).","ref":"readme.html#documentation","title":"Documentation - ExMtnMomo","type":"extras"},{"doc":"This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.","ref":"readme.html#license","title":"License - ExMtnMomo","type":"extras"},{"doc":"MIT License\n\nCopyright (c) 2025 James Njovu\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}],"producer":{"name":"ex_doc","version":"0.37.3"},"proglang":"elixir"}